Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.svcmsg
Interface RequestParams

All Superinterfaces:
  Request, java.io.Serializable

All Known Implementing Classes:
  SvcMsgRequestParams

public interface RequestParams
extends Request

This interface extends `Request` and adds ability to marshal various data values with it.

Method Summary
`boolean[]` | `getBooleanParams()` Returns the boolean array data in this request.
`int[]` | `getIntParams()` Returns the int array data in this request.
`long[]` | `getLongParams()` Returns the long array data in this request.
`java.lang.Object[]` | `getObjectParams()` Returns the object array data in this request.
`RequestParams` | `setBooleanParams(boolean[] params)` Sets the boolean array for this request.
`RequestParams` | `setIntParams(int[] params)` Sets the int array for this request.
`RequestParams` | `setLongParams(long[] params)` Sets the long array for this request.
`RequestParams` | `setObjectParam(java.lang.Object param)` Sets the object array for this request with one object.
`RequestParams` | `setObjectParams(java.lang.Object[] params)` Sets the object array for this request.

Methods inherited from interface oracle.svcmsg.Request
`getName, getOperation, getSourceId`

Method Detail

### getIntParams

    public int[] getIntParams()

  Returns the int array data in this request.
  Returns:
    the int array. May return `null` if this request has no int array.

### setIntParams

    public RequestParams setIntParams(int[] params)

  Sets the int array for this request.
  Parameters:
    `params` - the int array.
  Returns:
    `this` object.

### getLongParams

    public long[] getLongParams()

  Returns the long array data in this request.
  Returns:
    the long array. May return `null` if this request has no long array.

### setLongParams

    public RequestParams setLongParams(long[] params)

  Sets the long array for this request.
  Parameters:
    `params` - the long array.
  Returns:
    `this` object.

### getBooleanParams

    public boolean[] getBooleanParams()

  Returns the boolean array data in this request.
  Returns:
    the boolean array. May return `null` if this request has no boolean array.

### setBooleanParams

    public RequestParams setBooleanParams(boolean[] params)

  Sets the boolean array for this request.
  Parameters:
    `params` - the boolean array.
  Returns:
    `this` object.

### getObjectParams

    public java.lang.Object[] getObjectParams()

  Returns the object array data in this request.
  Returns:
    the object array. May return `null` if this request has no object array.

### setObjectParam

    public RequestParams setObjectParam(java.lang.Object param)

  Sets the object array for this request with one object. This is a helper method to make it easy to set the request's object array with one object.
  Parameters:
    `param` - the object.
  Returns:
    `this` object.

### setObjectParams

    public RequestParams setObjectParams(java.lang.Object[] params)

  Sets the object array for this request.
  Parameters:
    `params` - the object array.
  Returns:
    `this` object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.